package cn.tsy.idsse.dsds.control.login;

import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.Map;

import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.hme.framework.web.control.Ajax;
import cn.hme.framework.web.control.AjaxControl;
import cn.hme.framework.web.service.dict.FrameDictUtil;
import cn.hme.framework.web.service.param.FrameParamUtil;



@RestController
@CrossOrigin
@RequestMapping("login")
public class DSDSLoginControl extends AjaxControl {
	@RequestMapping("init.htm")
	public Ajax init() {		
		Map<String, Object> map = new HashMap<String, Object>();
		// 字典信息
		map.put("FrameDictArray", FrameDictUtil.instance().getArrayDict());
		// 服务器时间
		map.put("FrameCurrentTime", LocalDateTime.now());
		// 系统所有参数
		map.put("FrameParamArray", FrameParamUtil.FrameParamArray);


		return new Ajax(map);
	}
}
